diff tester.sh @ 11:d3ee9efe20e2 trunk

[svn r15] * Fixed a bunch problems with virtual calls. Seems I did some rather poor testing. * Now 50/51 tests compile. * Added a simple runalltests.d scripts that should be run with 'gdmd -run runalltests.d' - LLVMDC will not compile it yet.
author lindquist
date Tue, 02 Oct 2007 05:10:18 +0200
parents c53b6e3fe49a
children 860524276608
line wrap: on
line diff
--- a/tester.sh	Mon Oct 01 23:32:29 2007 +0200
+++ b/tester.sh	Tue Oct 02 05:10:18 2007 +0200
@@ -6,24 +6,30 @@
 fi
 
 if [ "$2" = "ll" ]; then
-    make &&
     llvmdc $1 -Itest -odtest -c &&
     llvm-dis -f $1.bc &&
     cat $1.ll
     exit $?
+elif [ "$2" = "llopt" ]; then
+    llvmdc $1 -Itest -odtest -c &&
+    opt -f -o=$1.bc -std-compile-opts $1.bc &&
+    llvm-dis -f $1.bc &&
+    cat $1.ll
+    exit $?
 elif [ "$2" = "run" ]; then
-    make &&
     llvmdc $1 -Itest -odtest -of$1 &&
     $1
     exit $?
 elif [ "$2" = "c" ]; then
-    make &&
     llvmdc $1 -Itest -odtest -c
     exit $?
 elif [ "$2" = "gdb" ]; then
-    make &&
     gdb --args llvmdc $1 -Itest -odtest '-c'
     exit $?
+elif [ "$2" = "gdbrun" ]; then
+    llvmdc $1 -Itest -odtest '-c' &&
+    gdb $1
+    exit $?
 else
     echo "bad command or filename"
 fi